UiPath Documentation
test-cloud
latest
false
重要 :
このコンテンツの一部は機械翻訳によって処理されており、完全な翻訳を保証するものではありません。 新しいコンテンツの翻訳は、およそ 1 ~ 2 週間で公開されます。
UiPath logo, featuring letters U and I in white

Test Cloud API ガイド

最終更新日時 2026年4月7日

イベントをダウンロードする

監査イベントを CSV ファイルとしてダウンロードします。各ログ エクスペリエンスでは別個のダウンロード エンドポイントが用意されています。

統合されたログのエクスペリエンス

統合ログ エクスペリエンスでは、これらの API エンドポイントを使用して、次の 2 つのスコープが提供されます。

  • 組織レベル: /orgaudit_/
  • テナント レベル: /tenantaudit_/

これらの API は、統合フレームワークで使用できる UiPath サービス全体にわたる監査情報をダウンロードします。

API エンドポイント

組織レベル

GET {accessURL}/{org-name}/orgaudit_/api/query/downloadevents

すべてのエンドポイント パスの {accessURL} は、ご使用のクラウド プラットフォームのベース URL に置き換えてください。

Cloud Platformアクセス URL
Test Cloudhttps://cloud.uipath.com/
Test Cloud (公共部門向け)https://govcloud.uipath.us/
Test Cloud (専有型)https://{customURL}.dedicated.uipath.com/
テナント レベル

GET {accessURL}/{org-name}/{tenant-name}/tenantaudit_/api/query/downloadevents

すべてのエンドポイント パスの {accessURL} は、ご使用のクラウド プラットフォームのベース URL に置き換えてください。

Cloud Platformアクセス URL
Test Cloudhttps://cloud.uipath.com/
Test Cloud (公共部門向け)https://govcloud.uipath.us/
Test Cloud (専有型)https://{customURL}.dedicated.uipath.com/

スコープ

次のスコープのいずれかが必要です。

  • PM.Audit
  • PM.Audit.Read

要求ヘッダー

--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
注:

{access_token}を取得するには、必ずこちらで説明するいずれかの方法で認証を行ってください。

クエリ パラメーター

パラメーター 入力 説明
from (任意) DateTime 間隔の開始
to (任意) DateTime 間隔の終了
source (任意) Array [String] イベント ソースのリスト
target (任意) Array [String] カテゴリのリスト
type (任意) Array [String] アクティビティのリスト
userIds (任意) Array [String] ユーザー識別子のリスト
status (任意) Integer
  • 0 = 成功
  • 1 = 失敗

応答

200 OK

選択した監査イベントを含む CSV ファイルをダウンロードします。

要求の例

組織レベル
curl --location 'https://cloud.uipath.com/{org-name}/orgaudit_/api/query/downloadevents?from=2024-12-24T00:00:00Z&to=2025-03-24T00:00:00Z&status=0' \
--header 'Authorization: Bearer {token}'
curl --location 'https://cloud.uipath.com/{org-name}/orgaudit_/api/query/downloadevents?from=2024-12-24T00:00:00Z&to=2025-03-24T00:00:00Z&status=0' \
--header 'Authorization: Bearer {token}'
テナント レベル
curl --location 'https://cloud.uipath.com/{org-name}/{tenant-name}/tenantaudit_/api/query/events?status=0&from=2024-12-24T19%3A11%3A46.403Z&to=2025-03-24T19%3A11%3A46.403Z&source
=1bf33a0d-fbe0-4fe5-b7f6-c61379878989&source
=afef9b33-872c-4c10-9039-009866131e77&source=f51fa47f-a015-4b0b-b9c3-28caa3d00788
&source=3e5e8c49-5e7f-41cc-a2ec-c42f9deebb70&target=5c8402f9-0529-4317-8790-568842208620&target=19d7f55c-c580-4bec-b6f0-d5deab0b17f3&target=09d74792-21f4-4bc9-a650-9020f8811c32&type=a912d4d8-df39-44c7-b696-27c5660c06da&type
=a57e644c-2d80-4f40-ac3b-b7c934d0a510&userIds
=4120ea1c-5d2b-4287-ba6c-904c694d2767&userIds=a922809d-3956-4376-8406-4eb2d6d6b363' \
--header 'Authorization: Bearer {token}'
curl --location 'https://cloud.uipath.com/{org-name}/{tenant-name}/tenantaudit_/api/query/events?status=0&from=2024-12-24T19%3A11%3A46.403Z&to=2025-03-24T19%3A11%3A46.403Z&source
=1bf33a0d-fbe0-4fe5-b7f6-c61379878989&source
=afef9b33-872c-4c10-9039-009866131e77&source=f51fa47f-a015-4b0b-b9c3-28caa3d00788
&source=3e5e8c49-5e7f-41cc-a2ec-c42f9deebb70&target=5c8402f9-0529-4317-8790-568842208620&target=19d7f55c-c580-4bec-b6f0-d5deab0b17f3&target=09d74792-21f4-4bc9-a650-9020f8811c32&type=a912d4d8-df39-44c7-b696-27c5660c06da&type
=a57e644c-2d80-4f40-ac3b-b7c934d0a510&userIds
=4120ea1c-5d2b-4287-ba6c-904c694d2767&userIds=a922809d-3956-4376-8406-4eb2d6d6b363' \
--header 'Authorization: Bearer {token}'

クラシック ログ エクスペリエンス

API エンドポイント

GET {accessURL}/audit_/api/auditlogs/download

すべてのエンドポイント パスの {accessURL} は、ご使用のクラウド プラットフォームのベース URL に置き換えてください。

Cloud Platformアクセス URL
Test Cloudhttps://cloud.uipath.com/
Test Cloud (公共部門向け)https://govcloud.uipath.us/
Test Cloud (専有型)https://{customURL}.dedicated.uipath.com/

スコープ

次のスコープのいずれかが必要です。

  • PM.Audit
  • PM.Audit.Read

要求ヘッダー

--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
注:

{access_token}を取得するには、必ずこちらで説明するいずれかの方法で認証を行ってください。

Query Parameters

クエリ パラメーターデータ型説明
language (任意)string利用可能な表示言語を短い形式で指定します。 たとえば、enfrdeja などです。
size (任意)int32ダウンロード サイズを指定します。

応答

200 OK

監査イベントのリストが .csv 形式でマシンにダウンロードされます。

要求の例

API 呼び出しの構築に必要な情報をすべて収集したとします。

  • {baseURL}https://cloud.uipath.com/{organizationName} です。
  • {access_token}1234 です (長さを考慮)。
  • 以下のクエリ パラメーターを設定します。
    • language = en
    • size = 13。上位 13 件のエントリをダウンロードします。

呼び出しは次の例のようになります (cURL)。

curl --location --request GET ' https://cloud.uipath.com/{organizationName}/audit_/api/auditlogs/download?language=en&size=13' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
curl --location --request GET ' https://cloud.uipath.com/{organizationName}/audit_/api/auditlogs/download?language=en&size=13' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'

このページは役に立ちましたか?

接続

ヘルプ リソース サポート

学習する UiPath アカデミー

質問する UiPath フォーラム

最新情報を取得